# Uses of Class
org.jdesktop.application.Task

Packages that use Task
Package
Description
org.jdesktop.application

## Uses of Task in org.jdesktop.application

Methods in org.jdesktop.application that return Task
Modifier and Type
Method
Description
`Task`
TaskMonitor.`getForegroundTask()`
Indicates the `Task` whose status the ApplicationContext's GUI wants to be displayed, typically in the main window's status bar.
`final Task`
Task.InputBlocker.`getTask()`
The `block` method will block input while this Task is being executed by a TaskService.
Methods in org.jdesktop.application that return types with arguments of type Task
Modifier and Type
Method
Description
`List<Task>`
TaskMonitor.`getTasks()`
All of the Application Tasks whose `state` is not `DONE`.
`List<Task>`
TaskService.`getTasks()`
Returns the list of tasks which are executing by this service
Methods in org.jdesktop.application with parameters of type Task
Modifier and Type
Method
Description
`void`
TaskService.`execute(Task task)`
Executes the task.
`void`
TaskMonitor.`setForegroundTask(Task foregroundTask)`
The TaskMonitor's PropertyChangeListeners are fired each time any property of the the `foregroundTask` changes.
Constructors in org.jdesktop.application with parameters of type Task
Modifier
Constructor
Description
``
`InputBlocker(Task task, Task.BlockingScope scope, Object target)`
Construct an InputBlocker.
``
`InputBlocker(Task task, Task.BlockingScope scope, Object target, ApplicationAction action)`
Construct an InputBlocker with four immutable properties.
``
`TaskEvent(Task source, T value)`
Construct a `TaskEvent`.